Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto
Class OctetStreamData

    java.lang.Object
      javax.xml.crypto.OctetStreamData

All Implemented Interfaces:
  Data

    public class OctetStreamData

extends java.lang.Object
implements Data

A representation of a `Data` type containing an octet stream.

Constructor Summary
`OctetStreamData(java.io.InputStream octetStream)` Creates a new `OctetStreamData`.
`OctetStreamData(java.io.InputStream octetStream, java.lang.String uri, java.lang.String mimeType)` Creates a new `OctetStreamData`.

Method Summary
`java.lang.String` | `getMimeType()` Returns the MIME type associated with the data object represented by this `OctetStreamData`.
`java.io.InputStream` | `getOctetStream()` Returns the input stream of this `OctetStreamData`.
`java.lang.String` | `getURI()` Returns the URI String identifying the data object represented by this `OctetStreamData`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OctetStreamData

    public OctetStreamData(java.io.InputStream octetStream)

  Creates a new `OctetStreamData`.

  Parameters:
    `octetStream` - the input stream containing the octets
  Throws:
    `java.lang.NullPointerException` - if `octetStream` is `null`

### OctetStreamData

    public OctetStreamData(java.io.InputStream octetStream,
                           java.lang.String uri,
                           java.lang.String mimeType)

  Creates a new `OctetStreamData`.

  Parameters:
    `octetStream` - the input stream containing the octets
    `uri` - the URI String identifying the data object (may be `null`)
    `mimeType` - the MIME type associated with the data object (may be `null`)
  Throws:
    `java.lang.NullPointerException` - if `octetStream` is `null`

Method Detail

### getOctetStream

    public java.io.InputStream getOctetStream()

  Returns the input stream of this `OctetStreamData`.

  Returns:
    the input stream of this `OctetStreamData`.

### getURI

    public java.lang.String getURI()

  Returns the URI String identifying the data object represented by this `OctetStreamData`.

  Returns:
    the URI String or `null` if not applicable

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type associated with the data object represented by this `OctetStreamData`.

  Returns:
    the MIME type or `null` if not applicable

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org